package com.hzu.labbooking.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzu.labbooking.domain.Course;

/**
 * 课程信息Mapper接口
 *
 * @author yezihao
 * @date 2021-04-29
 */
public interface CourseMapper extends BaseMapper<Course> {

    /**
     * 查询课程信息
     *
     * @param id 课程信息ID
     * @return 课程信息
     */
    public Course selectCourseById(Long id);

    /**
     * 查询课程信息列表
     *
     * @param course 课程信息
     * @return 课程信息集合
     */
    public List<Course> selectCourseList(Course course);

    /**
     * 新增课程信息
     *
     * @param course 课程信息
     * @return 结果
     */
    public int insertCourse(Course course);

    /**
     * 修改课程信息
     *
     * @param course 课程信息
     * @return 结果
     */
    public int updateCourse(Course course);

    /**
     * 批量删除课程信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCourseByIds(Long[] ids);

}
